#  RPM spec file for watsup

Name:          watsup
Version:       2.3
Release:       1
Summary:       Monitor system resources and top processes
Group:         System/Monitor
Vendor:        kornelix
Packager:      kornelix2@googlemail.com
License:       GPL3
Source:        %{name}-%{version}.tar.gz
URL:           http://kornelix.squarespace.com/%{name}

%description
Show CPU load, temperature, and disk and network IO rates in a small 
window that can fit in a panel. Click to show a larger window with
details of system resource loadings and the top processes using those 
resources. Resources monitored: CPU, memory, file cache, hard and soft 
page faults, disk IO, network IO. Shows topmost processes fitting in 
the resizeable window. Optionally select only processes matching a 
given user, PID, or program name. Select and kill an errant process.

%prep
%setup -q

%build
make

%install
make install PREFIX=$RPM_BUILD_ROOT/usr

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/%{name} 
/usr/share/%{name}
/usr/share/doc/%{name}
/usr/share/applications/kornelix-%{name}.desktop
/usr/share/man/man1/%{name}.1.gz


